
CREATE FUNCTION [dbo].[HDOSYA_ODEME_LISTE] (@HDosyaId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @OdemeToplamListe as nvarchar(1000),
	@ODEMETURUADI as nvarchar(50), 
	@ODEMETUTARI as NVARCHAR(100)
SET @OdemeToplamListe = '' 
DECLARE HDOSYA_ODEME_CURSOR CURSOR
   FOR SELECT ODEMETURUADI ,SUM(OTLTUTAR) [Toplam Ödeme]
FROM VWODEMEISL INNER JOIN TVEZNE ON VWODEMEISL.VEZNEID=TVEZNE.VEZNEID 
WHERE (ODEMETURUID NOT IN (5, 7)) AND (IPTAL=0) 
AND HDOSYAID=@HDosyaId GROUP BY HDOSYAID,ODEMETURUADI 
   
   
OPEN HDOSYA_ODEME_CURSOR
FETCH NEXT FROM HDOSYA_ODEME_CURSOR INTO @ODEMETURUADI, @ODEMETUTARI
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @OdemeToplamListe = @OdemeToplamListe + @ODEMETURUADI + ' - ' + @ODEMETUTARI+ ', '
	FETCH NEXT FROM HDOSYA_ODEME_CURSOR INTO @ODEMETURUADI, @ODEMETUTARI
END
	IF CHARINDEX(',', ISNULL(@OdemeToplamListe,' ')) <> 0
		SET @OdemeToplamListe = LEFT(@OdemeToplamListe, LEN(@OdemeToplamListe)-1)
return @OdemeToplamListe
END
GO


